Enrolment key based self-registration

Authentication ::: auth_enrolkey
Maintained by Catalyst IT, Nicholas Hoobin, Brendan Heywood
This auth plugin combines the best of both email based signup and self enrolment keys into a streamlined process making it much faster for students to get into a course. For the student it saves around 9-10 clicks and avoids context switching between a browser and their email client where they can become easily become disengaged or run into issues if their email is unavailable.
Latest release:
488 sites
113 downloads
58 fans

Moodle Enrolment key based self-registration

This is a functional clone of the Email-based self-registration plugin that also enrols a user into available courses based on a token supplied. When a user enters a valid token it will automatically enrol them into the course that token was specified for.

Courses that provide self enrolment can restrict access to them with a key. If the signup token matches any course enrolment key then the new user will be enrolled into those courses.


Courses that provide self enrolment can restrict access to them with a key. If the signup key matches any course enrolment key then the new user will be enrolled into those courses.

The streamlined process flow:

(Signup page -> Course)

The normal self registration process flow:

(Signup page -> Confirmation page -> Open email client and click link -> Navigate to course -> Click on enrol -> Enter enrolment key -> Course)

Screenshots

Screenshot #0

Contributors

Catalyst IT (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Sat, Feb 4, 2017, 1:50 AM
    +1 Request for an update for 3.2 please
  • Wed, Feb 8, 2017, 5:29 PM
    I also get this error Rob gets above"Coding error detected, it must be fixed by a programmer: Can not render widget, renderer method (render_enrolkey_signup_form) not found." Can you let me have a contact point to chat about sponsoring this 3.2 upgrade to happen?
  • Wed, Feb 8, 2017, 7:16 PM
    Sure Antony: enquiries@catalyst-au.net
  • Fri, Jul 14, 2017, 5:18 PM
    Any chance this plugin will be updated to work with 3.3?
  • I sell cookies
    Sun, Sep 10, 2017, 3:50 AM
    At the moment, it definitely does not work for Moodle 3.3 - same error as seen earlier for 3.2
    https://github.com/catalyst/moodle-auth_enrolkey/issues/15
  • Tue, Sep 12, 2017, 7:31 AM
    If anyone would like to sponsor any upgrades or improvements to this plugin please contact us:

    https://www.catalyst-au.net/contact-us
  • Sat, Feb 17, 2018, 4:17 PM
    Will there be a version compatible with Moodle 3.4 in the near future? If so, when?
  • Sun, Mar 11, 2018, 2:32 PM
    It doesn't look like it. The maintainers will do it if you are willing to pay. In my case, it stopped working when went to Moodle 3.3. I checked with them on the cost and it was way too pricey for my "non-profit" organization. The lesson for me in this is to never get too dependent on 3rd party plugins.
  • Thu, Oct 11, 2018, 8:42 PM
    A working version for Moodle 3.5 can be found here: https://github.com/kiklop74/moodle-auth_enrolkey
  • Thu, Mar 7, 2019, 5:54 PM
    Hi
    i have installed this plugin on my 3.5 version and the course is live but when new users try to create an account and enter the enrolment key it keeps showing 'The enrolment key you have entered is invalid' i have changed it and ensured that it is the same yet it keeps returning this error... any idea's?
  • Thu, Mar 7, 2019, 8:08 PM
    This plugin stopped working for me after Moodle 3.2 . I contacted the organization that developed it to see if they would update the code to get it working again, but they wanted to be paid to do it. We couldn't afford their fee so I uninstalled it. Too bad because it was a nifty plugin that made creating accounts a breeze. Oh well....such is life when you go with open source.
  • Wed, Nov 4, 2020, 3:58 AM
    I've dropped you guys a mail regarding this plugin and would love to open a dialogue regarding my feature suggestion. Thanks for creating it!
  • Wed, Feb 3, 2021, 8:20 PM
    Hi guys, great plugin but after upgrading from 3.8 to 3.9 it stopped working. Do you plan a release for 3.9+? Ty.
  • Wed, Jun 2, 2021, 5:29 PM
    Hi. I would like to use this plugin but I am running 3.9 and will upgrade soon to 3.11 - it seems the plugin only works up to 3.8 Are there plans to issue a new version? Thanks - it looks like a great plugin.
  • Mt. Fuji
    Sun, Nov 28, 2021, 4:30 PM
    To anyone wishing to use this with 3.10+, if you go to the GitHub page...here --> https://github.com/catalyst/moodle-auth_enrolkey
    and install VERSION3, it works with later versions of Moodle. smile It's one of the 8 branches available. I think the staff at Catalyst are bogged down, as many of us are, but they were nice enough to engage my inquiries and get me going in the right direction. smile
1 2 3
Please login to post comments